Skip to main content
Get Wallet by ID
curl --request GET \
  --url https://testnet.walletkit.com/wallets/get-by-id \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://testnet.walletkit.com/wallets/get-by-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://testnet.walletkit.com/wallets/get-by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "5884bd1d-ecb3-41ea-bcc7-e9e3d229618f",
  "created_at": "2023-07-21T22:03:16Z",
  "network": "Polygon",
  "name": "Joe's wallet",
  "owner_id": "58c9095e-24db-43eb-b49d-b78f72573a29",
  "address": "0x976Cf57B7EE1D84E73BE9115457889d49a8A1335"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Headers

X-WalletKit-Project-ID
string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
id
string
required

Response

id
string
required
Example:

"5884bd1d-ecb3-41ea-bcc7-e9e3d229618f"

created_at
string
required
Example:

"2023-07-21T22:03:16Z"

network
enum<string>
required
Available options:
Ethereum,
Polygon,
Base,
Avalanche,
Polkadot,
Vara
address
string
required
Example:

"0x976Cf57B7EE1D84E73BE9115457889d49a8A1335"

name
string | null
owner_id
string | null